body{
    font-family: sans-serif;
    display: flex;
    justify-content: space-around;
}

.calculator-block{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    width: min-content;
    padding: 1vw;
    background-color: black;
    border-radius: .3vw;
    box-shadow: 0 0 6px 0px black;
}
.screen{
    text-align: right;
    grid-column: span 4;
    color: white;
    margin: 1vw;
    border: none;
    height: 4vw;
    background: none;
    font-size: 2.6vw;
    overflow: auto;
    resize: none;
    overflow-y: hidden;
    overflow-wrap: normal;
    border-bottom: 1px solid #242424;
}
.screen::placeholder{
	font-family: sans-serif;
	color: white;
}
.button{
    margin: 1.1vw;
    background-color: orange;
    border: none;
    width: 4.2vw;
    height: 4.2vw;
    border-radius: 50%;
    margin: .2vw;
    font-size: 1.6vw;
    transition: .05s linear;
}
.button:not(.disabled):hover{
	background-color: #cd8707;
	cursor: pointer;
}
 /* ---------LOGS---------- */

.logs-block{
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: center;
    overflow-x: hidden;
    overflow-y: auto;
    height: 26vw;
    padding: 2%;
    align-content: flex-start;
}
.log{
    display: flex;
    position: relative;
    flex-flow: row wrap;
    list-style-type: none;
    align-content: center;
    align-items: center;
}
.circle{
    width: 1.3vw;
    height: 1.3vw;
    border: 0.2vw solid red;
    border-radius: 50%;
    background-color: transparent;
}
.circle:hover{
    cursor: pointer;
}
.equation{
	margin: 1vw 2vw;
}
.marked-equation{
    text-decoration: underline;
}
.delete{
	width: min-content;
}

.delete:hover .left-line, .delete:hover .right-line{
	background-color: red;
    cursor: pointer;
}
.left-line, .right-line{
    width: 1.8vw;
    height: 0.12vw;
    position: absolute;
    background-color: black;
    display: inline-block;	
}

.left-line{
	transform: rotate(45deg);
}

.right-line{
	transform: rotate(-45deg);
}
